V1 and V2Product Attribute Groups

Update a product attribute group

PATCH
/api/v1/attribute-groups/product/{attribute_group_id}

Using this verb you can change some of the properties of any group.

Allowed properties:

FieldTypeDescription
namestringproduct attribute group friendly-name
attribute_labelsarray of stringsarray of user attribute labels. NOTE that attribute labels MUST NOT contain "attributes."
ordernumberposition of this group using zero-based numbering, so the first group will be ordered starting with 0

A 200 OK is returned upon successful request

  • order: if group order is greater than the number of existing groups, group will be moved to the last position
  • attribute_labels: If present, group will be modified. Please note that a request like 'attribute_labels': null will remove ALL attributes from this group

Authorization

bearerAuth
AuthorizationBearer <token>

Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.

In: header

Path Parameters

attribute_group_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH 'https://example.com/api/v1/attribute-groups/product/string' \  -H 'Content-Type: application/json' \  --data-raw '{  "attribute_labels": [    "basic_info_complete",    "brand",    "color",    "colors",    "decimal",    "description",    "gallery",    "gtin"  ],  "name": "Dimensions",  "order": 2}'
{  "data": [    {      "attribute_labels": [],      "id": "5d9993554a275f16fb01b246",      "name": "Dimensions",      "order": 2    }  ]}